﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace PaymentServiceHost
{
	public class CreditCardService : IPaymentService
	{
		public 	PaymentRequestResult SubmitPaymentRequest(PaymentRequest request)
		{
			PaymentRequestResult result = new PaymentRequestResult();
			result.TransactionId = request.TransactionId;

			if (request.Type == TransactionType.PreApprove)
			{
				if (request.Amount > 1000.00M)
				{
					result.Result = ResultCode.Rejected;
				}
				else
				{
					result.Result = ResultCode.Approved;
				}
			}
			if (request.Type == TransactionType.Settle)
			{
				if (request.Amount == 6.66M)
				{
					result.Result = ResultCode.Error;
				}
				else
				{
					result.Result = ResultCode.Settled;
				}
			}
			if (request.Type == TransactionType.Rescind)
			{
				if (request.Amount == 666.66M)
				{
					result.Result = ResultCode.Rejected;
				}
				else
				{
					result.Result = ResultCode.Rescinded;
				}
			}

			if (request.CardNumber.Substring(0, 3) == "666")
			{
				throw new OperationCanceledException("The credit card is evil. Begone!");
			}

			return result;
		}
	}
}
