﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace PaymentServiceHost
{
	[ServiceContract (Namespace="urn://Demo.PaymentService.com")]
	public interface IPaymentService
	{
		[OperationContract]
		PaymentRequestResult SubmitPaymentRequest(PaymentRequest request);
	}

	[DataContract(Namespace = "urn://Demo.PaymentService.com")]
	public class PaymentRequest
	{
		[DataMember]
		public string TransactionId
		{
			get; 
			set;
		}

		[DataMember]
		public string CardNumber
		{
			get;
			set;
		}

		[DataMember]
		public TransactionType Type
		{
			get;
			set;
		}

		[DataMember]
		public decimal Amount
		{
			get;
			set;
		}

	}

	[DataContract(Namespace = "urn://Demo.PaymentService.com")]
	public class PaymentRequestResult
	{
		[DataMember]
		public string TransactionId
		{
			get;
			set;
		}

		[DataMember]
		public ResultCode Result
		{
			get;
			set;
		}

	}

	[DataContract(Namespace = "urn://Demo.PaymentService.com")]
	public enum TransactionType
	{
		[EnumMember]
		PreApprove,
		[EnumMember]
		Settle,
		[EnumMember]
		Rescind
	}

	[DataContract(Namespace = "urn://Demo.PaymentService.com")]
	public enum ResultCode
	{
		[EnumMember]
		Approved,
		[EnumMember]
		Rejected,
		[EnumMember]
		Settled,
		[EnumMember]
		Rescinded,
		[EnumMember]
		Error
	}

}
