namespace WidgetsRUs.ECommerce.BizTalk.Maps {
    
    
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionRequest", typeof(WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionRequest))]
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"WidgetsRUs.ECommerce.BizTalk.Schemas.CreditCardService_demo_paymentservice_com+SubmitPaymentRequestResponse", typeof(WidgetsRUs.ECommerce.BizTalk.Schemas.CreditCardService_demo_paymentservice_com.SubmitPaymentRequestResponse))]
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionResponse", typeof(WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionResponse))]
    public sealed class CreditCardResponse_to_TransactionResponse : Microsoft.XLANGs.BaseTypes.TransformBase {
        
        private const string _strMap = @"<?xml version=""1.0"" encoding=""UTF-16""?>
<xsl:stylesheet xmlns:xsl=""http://www.w3.org/1999/XSL/Transform"" xmlns:msxsl=""urn:schemas-microsoft-com:xslt"" xmlns:var=""http://schemas.microsoft.com/BizTalk/2003/var"" exclude-result-prefixes=""msxsl var s1 s0 userCSharp"" version=""1.0"" xmlns:s1=""http://schemas.microsoft.com/BizTalk/2003/aggschema"" xmlns:ns0=""http://WidgetsRUs.ECommerce.BizTalk"" xmlns:s0=""urn://Demo.PaymentService.com"" xmlns:userCSharp=""http://schemas.microsoft.com/BizTalk/2003/userCSharp"">
  <xsl:output omit-xml-declaration=""yes"" method=""xml"" version=""1.0"" />
  <xsl:template match=""/"">
    <xsl:apply-templates select=""/s1:Root"" />
  </xsl:template>
  <xsl:template match=""/s1:Root"">
    <ns0:TransactionResponses>
      <xsl:for-each select=""InputMessagePart_0/ns0:TransactionRequests/TransactionRequest"">
        <TransactionResponse>
          <CustomerId>
            <xsl:value-of select=""CustomerId/text()"" />
          </CustomerId>
          <TransactionId>
            <xsl:value-of select=""TransactionId/text()"" />
          </TransactionId>
          <xsl:variable name=""var:v1"" select=""userCSharp:ConvertType(string(../../../InputMessagePart_1/s0:SubmitPaymentRequestResponse/s0:SubmitPaymentRequestResult/s0:Result/text()))"" />
          <ResultCode>
            <xsl:value-of select=""$var:v1"" />
          </ResultCode>
        </TransactionResponse>
      </xsl:for-each>
    </ns0:TransactionResponses>
  </xsl:template>
  <msxsl:script language=""C#"" implements-prefix=""userCSharp""><![CDATA[
public string ConvertType(string param)
{
   string retval = param;

   switch(param)
   {
      case  ""Approved"":
         retval = ""A"";
         break;
      case  ""Rejected"":
         retval = ""R"";
         break;
      case  ""Settled"":
         retval = ""S"";
         break;
      case  ""Rescinded"":
         retval = ""C"";
         break;
      case  ""Error"":
         retval = ""E"";
         break;
   }

   return retval;
}


]]></msxsl:script>
</xsl:stylesheet>";
        
        private const string _strArgList = @"<ExtensionObjects />";
        
        private const string _strSrcSchemasList0 = @"WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionRequest";
        
        private const WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionRequest _srcSchemaTypeReference0 = null;
        
        private const string _strSrcSchemasList1 = @"WidgetsRUs.ECommerce.BizTalk.Schemas.CreditCardService_demo_paymentservice_com+SubmitPaymentRequestResponse";
        
        private const WidgetsRUs.ECommerce.BizTalk.Schemas.CreditCardService_demo_paymentservice_com.SubmitPaymentRequestResponse _srcSchemaTypeReference1 = null;
        
        private const string _strTrgSchemasList0 = @"WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionResponse";
        
        private const WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionResponse _trgSchemaTypeReference0 = null;
        
        public override string XmlContent {
            get {
                return _strMap;
            }
        }
        
        public override string XsltArgumentListContent {
            get {
                return _strArgList;
            }
        }
        
        public override string[] SourceSchemas {
            get {
                string[] _SrcSchemas = new string [2];
                _SrcSchemas[0] = @"WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionRequest";
                _SrcSchemas[1] = @"WidgetsRUs.ECommerce.BizTalk.Schemas.CreditCardService_demo_paymentservice_com+SubmitPaymentRequestResponse";
                return _SrcSchemas;
            }
        }
        
        public override string[] TargetSchemas {
            get {
                string[] _TrgSchemas = new string [1];
                _TrgSchemas[0] = @"WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionResponse";
                return _TrgSchemas;
            }
        }
    }
}
