namespace WidgetsRUs.ECommerce.BizTalk.Maps {
    
    
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionRequest", typeof(WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionRequest))]
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"WidgetsRUs.ECommerce.BizTalk.Schemas.CreditCardService_demo_paymentservice_com+SubmitPaymentRequest", typeof(WidgetsRUs.ECommerce.BizTalk.Schemas.CreditCardService_demo_paymentservice_com.SubmitPaymentRequest))]
    public sealed class TransactionRequest_to_CreditCardRequest : Microsoft.XLANGs.BaseTypes.TransformBase {
        
        private const string _strMap = @"<?xml version=""1.0"" encoding=""UTF-16""?>
<xsl:stylesheet xmlns:xsl=""http://www.w3.org/1999/XSL/Transform"" xmlns:msxsl=""urn:schemas-microsoft-com:xslt"" xmlns:var=""http://schemas.microsoft.com/BizTalk/2003/var"" exclude-result-prefixes=""msxsl var s0 userCSharp"" version=""1.0"" xmlns:s0=""http://WidgetsRUs.ECommerce.BizTalk"" xmlns:ns0=""urn://Demo.PaymentService.com"" xmlns:userCSharp=""http://schemas.microsoft.com/BizTalk/2003/userCSharp"">
  <xsl:output omit-xml-declaration=""yes"" method=""xml"" version=""1.0"" />
  <xsl:template match=""/"">
    <xsl:apply-templates select=""/s0:TransactionRequests"" />
  </xsl:template>
  <xsl:template match=""/s0:TransactionRequests"">
    <ns0:SubmitPaymentRequest>
      <xsl:for-each select=""TransactionRequest"">
        <ns0:request>
          <ns0:Amount>
            <xsl:value-of select=""Amount/text()"" />
          </ns0:Amount>
          <ns0:CardNumber>
            <xsl:value-of select=""CardNumber/text()"" />
          </ns0:CardNumber>
          <ns0:TransactionId>
            <xsl:value-of select=""TransactionId/text()"" />
          </ns0:TransactionId>
          <xsl:variable name=""var:v1"" select=""userCSharp:ConvertType(string(TransactionType/text()))"" />
          <ns0:Type>
            <xsl:value-of select=""$var:v1"" />
          </ns0:Type>
        </ns0:request>
      </xsl:for-each>
    </ns0:SubmitPaymentRequest>
  </xsl:template>
  <msxsl:script language=""C#"" implements-prefix=""userCSharp""><![CDATA[
public string ConvertType(string param)
{
   string retval = param;

   switch(param)
   {
      case  ""A"":
         retval = ""PreApprove"";
         break;
      case  ""S"":
         retval = ""Settle"";
         break;
      case  ""C"":
         retval = ""Rescind"";
         break;
   }

   return retval;
}


]]></msxsl:script>
</xsl:stylesheet>";
        
        private const string _strArgList = @"<ExtensionObjects />";
        
        private const string _strSrcSchemasList0 = @"WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionRequest";
        
        private const WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionRequest _srcSchemaTypeReference0 = null;
        
        private const string _strTrgSchemasList0 = @"WidgetsRUs.ECommerce.BizTalk.Schemas.CreditCardService_demo_paymentservice_com+SubmitPaymentRequest";
        
        private const WidgetsRUs.ECommerce.BizTalk.Schemas.CreditCardService_demo_paymentservice_com.SubmitPaymentRequest _trgSchemaTypeReference0 = null;
        
        public override string XmlContent {
            get {
                return _strMap;
            }
        }
        
        public override string XsltArgumentListContent {
            get {
                return _strArgList;
            }
        }
        
        public override string[] SourceSchemas {
            get {
                string[] _SrcSchemas = new string [1];
                _SrcSchemas[0] = @"WidgetsRUs.ECommerce.BizTalk.Schemas.TransactionRequest";
                return _SrcSchemas;
            }
        }
        
        public override string[] TargetSchemas {
            get {
                string[] _TrgSchemas = new string [1];
                _TrgSchemas[0] = @"WidgetsRUs.ECommerce.BizTalk.Schemas.CreditCardService_demo_paymentservice_com+SubmitPaymentRequest";
                return _TrgSchemas;
            }
        }
    }
}
