namespace WidgetsRUs.ECommerce.BizTalk.Schemas {
    using Microsoft.XLANGs.BaseTypes;
    
    
    [SchemaType(SchemaTypeEnum.Document)]
    [System.SerializableAttribute()]
    [SchemaRoots(new string[] {@"SubmitPaymentRequest", @"PaymentRequest", @"TransactionType", @"SubmitPaymentRequestResponse", @"PaymentRequestResult", @"ResultCode"})]
    public sealed class CreditCardService_demo_paymentservice_com : Microsoft.XLANGs.BaseTypes.SchemaBase {
        
        [System.NonSerializedAttribute()]
        private static object _rawSchema;
        
        [System.NonSerializedAttribute()]
        private const string _strSchema = @"<?xml version=""1.0"" encoding=""utf-16""?>
<xs:schema xmlns:tns=""urn://Demo.PaymentService.com"" xmlns:b=""http://schemas.microsoft.com/BizTalk/2003"" elementFormDefault=""qualified"" targetNamespace=""urn://Demo.PaymentService.com"" xmlns:xs=""http://www.w3.org/2001/XMLSchema"">
  <xs:element name=""SubmitPaymentRequest"">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs=""0"" name=""request"" nillable=""true"" type=""tns:PaymentRequest"" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:complexType name=""PaymentRequest"">
    <xs:sequence>
      <xs:element minOccurs=""0"" name=""Amount"" type=""xs:decimal"" />
      <xs:element minOccurs=""0"" name=""CardNumber"" nillable=""true"" type=""xs:string"" />
      <xs:element minOccurs=""0"" name=""TransactionId"" nillable=""true"" type=""xs:string"" />
      <xs:element minOccurs=""0"" name=""Type"" type=""tns:TransactionType"" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name=""PaymentRequest"" nillable=""true"" type=""tns:PaymentRequest"" />
  <xs:simpleType name=""TransactionType"">
    <xs:restriction base=""xs:string"">
      <xs:enumeration value=""PreApprove"" />
      <xs:enumeration value=""Settle"" />
      <xs:enumeration value=""Rescind"" />
    </xs:restriction>
  </xs:simpleType>
  <xs:element name=""TransactionType"" nillable=""true"" type=""tns:TransactionType"" />
  <xs:element name=""SubmitPaymentRequestResponse"">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs=""0"" name=""SubmitPaymentRequestResult"" nillable=""true"" type=""tns:PaymentRequestResult"" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:complexType name=""PaymentRequestResult"">
    <xs:sequence>
      <xs:element minOccurs=""0"" name=""Result"" type=""tns:ResultCode"" />
      <xs:element minOccurs=""0"" name=""TransactionId"" nillable=""true"" type=""xs:string"" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name=""PaymentRequestResult"" nillable=""true"" type=""tns:PaymentRequestResult"" />
  <xs:simpleType name=""ResultCode"">
    <xs:restriction base=""xs:string"">
      <xs:enumeration value=""Approved"" />
      <xs:enumeration value=""Rejected"" />
      <xs:enumeration value=""Settled"" />
      <xs:enumeration value=""Rescinded"" />
      <xs:enumeration value=""Error"" />
    </xs:restriction>
  </xs:simpleType>
  <xs:element name=""ResultCode"" nillable=""true"" type=""tns:ResultCode"" />
</xs:schema>";
        
        public CreditCardService_demo_paymentservice_com() {
        }
        
        public override string XmlContent {
            get {
                return _strSchema;
            }
        }
        
        public override string[] RootNodes {
            get {
                string[] _RootElements = new string [6];
                _RootElements[0] = "SubmitPaymentRequest";
                _RootElements[1] = "PaymentRequest";
                _RootElements[2] = "TransactionType";
                _RootElements[3] = "SubmitPaymentRequestResponse";
                _RootElements[4] = "PaymentRequestResult";
                _RootElements[5] = "ResultCode";
                return _RootElements;
            }
        }
        
        protected override object RawSchema {
            get {
                return _rawSchema;
            }
            set {
                _rawSchema = value;
            }
        }
        
        [Schema(@"urn://Demo.PaymentService.com",@"SubmitPaymentRequest")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"SubmitPaymentRequest"})]
        public sealed class SubmitPaymentRequest : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public SubmitPaymentRequest() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "SubmitPaymentRequest";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"urn://Demo.PaymentService.com",@"PaymentRequest")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"PaymentRequest"})]
        public sealed class PaymentRequest : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public PaymentRequest() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "PaymentRequest";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"urn://Demo.PaymentService.com",@"TransactionType")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"TransactionType"})]
        public sealed class TransactionType : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public TransactionType() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "TransactionType";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"urn://Demo.PaymentService.com",@"SubmitPaymentRequestResponse")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"SubmitPaymentRequestResponse"})]
        public sealed class SubmitPaymentRequestResponse : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public SubmitPaymentRequestResponse() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "SubmitPaymentRequestResponse";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"urn://Demo.PaymentService.com",@"PaymentRequestResult")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"PaymentRequestResult"})]
        public sealed class PaymentRequestResult : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public PaymentRequestResult() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "PaymentRequestResult";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"urn://Demo.PaymentService.com",@"ResultCode")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"ResultCode"})]
        public sealed class ResultCode : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public ResultCode() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "ResultCode";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
    }
}
