﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;
using msmq = System.Messaging;

namespace WidgetsRUs.ECommerce.OrderingSystem
{
	public partial class MainForm : Form
	{
		public MainForm()
		{
			InitializeComponent();
		}

		private void btnSubmit_Click(object sender, EventArgs e)
		{
			// Find the file.
			string fileName = @"C:\Projects\BizTalkSIGDemo_09\Test\Data\Test Document.txt";

			// Open the queue.
			string queueName = @".\private$\WidgetsRUs.TransactionRequestQueue";

			// Send the message to the queue.
			using (msmq.MessageQueue targetQueue = new msmq.MessageQueue(queueName, msmq.QueueAccessMode.Send))
			{
				using (msmq.Message msg = new msmq.Message())
				{
					msg.Formatter = new System.Messaging.BinaryMessageFormatter();

					byte[] buffer = File.ReadAllBytes(fileName);
					msg.BodyStream.Write(buffer, 0, buffer.Length);

					msg.UseJournalQueue = true;
					msg.Recoverable = true;
					msg.Label = "TransactionRequests";
					targetQueue.Send(msg, msmq.MessageQueueTransactionType.Single);
				}

				targetQueue.Close();
			}
		}

		private void btnRetrieve_Click(object sender, EventArgs e)
		{
			txtTransactionResponses.Text = "";

			using (msmq.MessageQueue queue = new msmq.MessageQueue(@"FORMATNAME:DIRECT=OS:balaptop011\private$\widgetsrus.transactionresponsequeue", System.Messaging.QueueAccessMode.Receive))
			{
				try
				{
					msmq.Message msg = queue.Receive(TimeSpan.FromSeconds(3), System.Messaging.MessageQueueTransactionType.Single);

					using (System.IO.StreamReader sr = new System.IO.StreamReader(msg.BodyStream))
					{
						txtTransactionResponses.Text = sr.ReadToEnd();
					}
				}
				catch (msmq.MessageQueueException ex)
				{
					txtTransactionResponses.Text = ex.ToString();
					return;
				}
			}
		}
	}
}
